List Work Item Enhance runs

Lists Work Item Enhance runs for the resolved workspace, optionally filtered by target work item or state.

GET/api/v1/work-item-enhancements

Authorization

work-item-enhance:readapi key scoperequired
Required scope when calling with an API key.

Query parameters

target_work_item_idstringoptional
Filter by canonical work-item id

Example: work_01k2...

statestringoptional
Filter by run state
limitnumberoptional
Maximum runs, 1–100

Example: 50

Request

curl -X GET "https://www.digitalstack360.com/api/v1/work-item-enhancements" \
  -H "Authorization: Bearer $DS_API_KEY"

Examples use a placeholder key from your environment. Store your key in $DS_API_KEY — never commit it.

Response

200 OK
{
  "data": [
    {
      "id": "wie_01k6...",
      "state": "needs_review"
    }
  ],
  "meta": {
    "limit": 50,
    "count": 1
  }
}

Errors

401
missing_auth

No credentials provided

401
invalid_api_key

API key is invalid or revoked

403
scope_insufficient

Key lacks work-item-enhance:read scope